Daemon Power

The NetBSD Packages Collection: fonts/harfbuzz

Brief description of the package:
OpenType text shaping engine

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://harfbuzz.org/.

Please note that this package has a mit license.

The package is located in the "fonts/harfbuzz" directory. The current source version of the package is "harfbuzz-1.5.1nb1". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for fonts/harfbuzz :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: icu>=3.4 cwrappers>=20150314 glib2>=2.4.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 python27>=2.7 mozilla-rootcerts>=1.0.20150804nb1 readline>=2.2 readline>=6.0 python27>=2.7.1nb2 freetype2>=2.4.5 freetype2>=2.1.3 icu>=59.1nb1 glib2>=2.34.0 freetype2>=2.4.11 .

This package requires the following package(s) to run: icu>=3.4 glib2>=2.4.0 perl>=5.0 libelf>=0.8.5 pcre>=8.31 pcre>=3.4nb1 libffi>=1.20 pcre>=8.30nb1 libffi>=3.0.11 freetype2>=2.4.5 freetype2>=2.1.3 icu>=59.1nb1 glib2>=2.34.0 freetype2>=2.4.11 .

This package supports the following build-time options:

icu
Enable icu support.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:harfbuzz-1.2.3.tgz(NetBSD 7.0)
alpha:harfbuzz-1.0.3.tgz(NetBSD 7.0)
alpha:harfbuzz-1.1.2.tgz(NetBSD 7.0)
arm:harfbuzz-0.9.26.tgz(NetBSD 6.1_STABLE)
earm:harfbuzz-1.1.2.tgz(NetBSD 7.0)
earm:harfbuzz-0.9.39.tgz(NetBSD 7.0)
earm:harfbuzz-0.9.40nb1.tgz(NetBSD 7.0)
earm:harfbuzz-1.0.3.tgz(NetBSD 7.0)
earm:harfbuzz-1.1.2.tgz(NetBSD 7.0)
earmv4:harfbuzz-1.4.6.tgz(NetBSD 7.1)
earmv6hf:harfbuzz-0.9.39.tgz(NetBSD 7.0)
earmv6hf:harfbuzz-1.0.3.tgz(NetBSD 7.0)
earmv6hf:harfbuzz-1.1.2.tgz(NetBSD 7.0)
earmv7hf:harfbuzz-1.1.2.tgz(NetBSD 7.0)
earmv7hf:harfbuzz-1.0.3.tgz(NetBSD 7.0)
earmv7hf:harfbuzz-1.0.3.tgz(NetBSD 7.99.21)
earmv7hf:harfbuzz-1.4.6.tgz(NetBSD 8.0_BETA)
earmv7hfeb:harfbuzz-1.1.3.tgz(NetBSD 7.0)
i386:harfbuzz-1.4.6.tgz(NetBSD 6.0)
i386:harfbuzz-1.3.1.tgz(NetBSD 6.0)
i386:harfbuzz-1.3.4.tgz(NetBSD 6.0)
i386:harfbuzz-1.4.5.tgz(NetBSD 6.0)
i386:harfbuzz-1.4.6.tgz(NetBSD 6.1)
i386:harfbuzz-1.3.1.tgz(NetBSD 6.1)
i386:harfbuzz-1.3.4.tgz(NetBSD 6.1)
i386:harfbuzz-1.4.5.tgz(NetBSD 6.1)
i386:harfbuzz-1.4.6.tgz(NetBSD 7.0)
i386:harfbuzz-1.3.1.tgz(NetBSD 7.0)
i386:harfbuzz-1.3.4.tgz(NetBSD 7.0)
i386:harfbuzz-1.4.5.tgz(NetBSD 7.0)
m68k:harfbuzz-1.2.3.tgz(NetBSD 7.0)
powerpc:harfbuzz-1.3.1.tgz(NetBSD 6.0)
powerpc:harfbuzz-1.1.2.tgz(NetBSD 7.0)
powerpc:harfbuzz-1.4.6.tgz(NetBSD 7.1)
powerpc:harfbuzz-1.4.6.tgz(NetBSD 8.0)
sparc64:harfbuzz-0.9.39.tgz(NetBSD 7.0)
sparc64:harfbuzz-0.9.40nb1.tgz(NetBSD 7.0)
sparc64:harfbuzz-1.1.2.tgz(NetBSD 7.0)
sparc64:harfbuzz-1.3.4.tgz(NetBSD 7.1_RC1)
sparc:harfbuzz-0.9.40nb1.tgz(NetBSD 5.1)
sparc:harfbuzz-0.9.39.tgz(NetBSD 5.1)
sparc:harfbuzz-0.9.35.tgz(NetBSD 6.0)
sparc:harfbuzz-1.0.3.tgz(NetBSD 7.0)
sparc:harfbuzz-1.3.1.tgz(NetBSD 7.0)
x86_64:harfbuzz-1.4.6.tgz(NetBSD 6.0)
x86_64:harfbuzz-1.3.1.tgz(NetBSD 6.0)
x86_64:harfbuzz-1.3.4.tgz(NetBSD 6.0)
x86_64:harfbuzz-1.4.5.tgz(NetBSD 6.0)
x86_64:harfbuzz-1.4.6.tgz(NetBSD 6.1)
x86_64:harfbuzz-1.3.1.tgz(NetBSD 6.1)
x86_64:harfbuzz-1.3.4.tgz(NetBSD 6.1)
x86_64:harfbuzz-1.4.5.tgz(NetBSD 6.1)
x86_64:harfbuzz-1.4.6.tgz(NetBSD 7.0)
x86_64:harfbuzz-1.3.1.tgz(NetBSD 7.0)
x86_64:harfbuzz-1.3.4.tgz(NetBSD 7.0)
x86_64:harfbuzz-1.4.5.tgz(NetBSD 7.0)
x86_64:harfbuzz-1.4.6.tgz(NetBSD 7.0.1_PATCH)
x86_64:harfbuzz-1.4.6.tgz(NetBSD 8.99.1)
x86_64:harfbuzz-1.4.8.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]